Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network190.167.64.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
190.167.64.0
Broadcast address
190.167.65.255
First usable
190.167.64.1
Last usable
190.167.65.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
B (default /16)
As numbers
Hex BEA74000 · Integer 3198631936 to 3198632447
Reverse DNS zones
64.167.190.in-addr.arpa
65.167.190.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111110.10100111.01000000.00000000190.167.64.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network10111110.10100111.01000000.00000000190.167.64.0
Broadcast10111110.10100111.01000001.11111111190.167.65.255
Split into smaller subnets/32

190.167.64.0/23 makes 512 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1190.167.64.0/32190.167.64.0 to 190.167.64.0—1
2190.167.64.1/32190.167.64.1 to 190.167.64.1—1
3190.167.64.2/32190.167.64.2 to 190.167.64.2—1
4190.167.64.3/32190.167.64.3 to 190.167.64.3—1
5190.167.64.4/32190.167.64.4 to 190.167.64.4—1
6190.167.64.5/32190.167.64.5 to 190.167.64.5—1
7190.167.64.6/32190.167.64.6 to 190.167.64.6—1
8190.167.64.7/32190.167.64.7 to 190.167.64.7—1
9190.167.64.8/32190.167.64.8 to 190.167.64.8—1
10190.167.64.9/32190.167.64.9 to 190.167.64.9—1
11190.167.64.10/32190.167.64.10 to 190.167.64.10—1
12190.167.64.11/32190.167.64.11 to 190.167.64.11—1
13190.167.64.12/32190.167.64.12 to 190.167.64.12—1
14190.167.64.13/32190.167.64.13 to 190.167.64.13—1
15190.167.64.14/32190.167.64.14 to 190.167.64.14—1
16190.167.64.15/32190.167.64.15 to 190.167.64.15—1
17190.167.64.16/32190.167.64.16 to 190.167.64.16—1
18190.167.64.17/32190.167.64.17 to 190.167.64.17—1
19190.167.64.18/32190.167.64.18 to 190.167.64.18—1
20190.167.64.19/32190.167.64.19 to 190.167.64.19—1
21190.167.64.20/32190.167.64.20 to 190.167.64.20—1
22190.167.64.21/32190.167.64.21 to 190.167.64.21—1
23190.167.64.22/32190.167.64.22 to 190.167.64.22—1
24190.167.64.23/32190.167.64.23 to 190.167.64.23—1
25190.167.64.24/32190.167.64.24 to 190.167.64.24—1
26190.167.64.25/32190.167.64.25 to 190.167.64.25—1
27190.167.64.26/32190.167.64.26 to 190.167.64.26—1
28190.167.64.27/32190.167.64.27 to 190.167.64.27—1
29190.167.64.28/32190.167.64.28 to 190.167.64.28—1
30190.167.64.29/32190.167.64.29 to 190.167.64.29—1
31190.167.64.30/32190.167.64.30 to 190.167.64.30—1
32190.167.64.31/32190.167.64.31 to 190.167.64.31—1
33190.167.64.32/32190.167.64.32 to 190.167.64.32—1
34190.167.64.33/32190.167.64.33 to 190.167.64.33—1
35190.167.64.34/32190.167.64.34 to 190.167.64.34—1
36190.167.64.35/32190.167.64.35 to 190.167.64.35—1
37190.167.64.36/32190.167.64.36 to 190.167.64.36—1
38190.167.64.37/32190.167.64.37 to 190.167.64.37—1
39190.167.64.38/32190.167.64.38 to 190.167.64.38—1
40190.167.64.39/32190.167.64.39 to 190.167.64.39—1
41190.167.64.40/32190.167.64.40 to 190.167.64.40—1
42190.167.64.41/32190.167.64.41 to 190.167.64.41—1
43190.167.64.42/32190.167.64.42 to 190.167.64.42—1
44190.167.64.43/32190.167.64.43 to 190.167.64.43—1
45190.167.64.44/32190.167.64.44 to 190.167.64.44—1
46190.167.64.45/32190.167.64.45 to 190.167.64.45—1
47190.167.64.46/32190.167.64.46 to 190.167.64.46—1
48190.167.64.47/32190.167.64.47 to 190.167.64.47—1
49190.167.64.48/32190.167.64.48 to 190.167.64.48—1
50190.167.64.49/32190.167.64.49 to 190.167.64.49—1
51190.167.64.50/32190.167.64.50 to 190.167.64.50—1
52190.167.64.51/32190.167.64.51 to 190.167.64.51—1
53190.167.64.52/32190.167.64.52 to 190.167.64.52—1
54190.167.64.53/32190.167.64.53 to 190.167.64.53—1
55190.167.64.54/32190.167.64.54 to 190.167.64.54—1
56190.167.64.55/32190.167.64.55 to 190.167.64.55—1
57190.167.64.56/32190.167.64.56 to 190.167.64.56—1
58190.167.64.57/32190.167.64.57 to 190.167.64.57—1
59190.167.64.58/32190.167.64.58 to 190.167.64.58—1
60190.167.64.59/32190.167.64.59 to 190.167.64.59—1
61190.167.64.60/32190.167.64.60 to 190.167.64.60—1
62190.167.64.61/32190.167.64.61 to 190.167.64.61—1
63190.167.64.62/32190.167.64.62 to 190.167.64.62—1
64190.167.64.63/32190.167.64.63 to 190.167.64.63—1
65190.167.64.64/32190.167.64.64 to 190.167.64.64—1
66190.167.64.65/32190.167.64.65 to 190.167.64.65—1
67190.167.64.66/32190.167.64.66 to 190.167.64.66—1
68190.167.64.67/32190.167.64.67 to 190.167.64.67—1
69190.167.64.68/32190.167.64.68 to 190.167.64.68—1
70190.167.64.69/32190.167.64.69 to 190.167.64.69—1
71190.167.64.70/32190.167.64.70 to 190.167.64.70—1
72190.167.64.71/32190.167.64.71 to 190.167.64.71—1
73190.167.64.72/32190.167.64.72 to 190.167.64.72—1
74190.167.64.73/32190.167.64.73 to 190.167.64.73—1
75190.167.64.74/32190.167.64.74 to 190.167.64.74—1
76190.167.64.75/32190.167.64.75 to 190.167.64.75—1
77190.167.64.76/32190.167.64.76 to 190.167.64.76—1
78190.167.64.77/32190.167.64.77 to 190.167.64.77—1
79190.167.64.78/32190.167.64.78 to 190.167.64.78—1
80190.167.64.79/32190.167.64.79 to 190.167.64.79—1
81190.167.64.80/32190.167.64.80 to 190.167.64.80—1
82190.167.64.81/32190.167.64.81 to 190.167.64.81—1
83190.167.64.82/32190.167.64.82 to 190.167.64.82—1
84190.167.64.83/32190.167.64.83 to 190.167.64.83—1
85190.167.64.84/32190.167.64.84 to 190.167.64.84—1
86190.167.64.85/32190.167.64.85 to 190.167.64.85—1
87190.167.64.86/32190.167.64.86 to 190.167.64.86—1
88190.167.64.87/32190.167.64.87 to 190.167.64.87—1
89190.167.64.88/32190.167.64.88 to 190.167.64.88—1
90190.167.64.89/32190.167.64.89 to 190.167.64.89—1
91190.167.64.90/32190.167.64.90 to 190.167.64.90—1
92190.167.64.91/32190.167.64.91 to 190.167.64.91—1
93190.167.64.92/32190.167.64.92 to 190.167.64.92—1
94190.167.64.93/32190.167.64.93 to 190.167.64.93—1
95190.167.64.94/32190.167.64.94 to 190.167.64.94—1
96190.167.64.95/32190.167.64.95 to 190.167.64.95—1
97190.167.64.96/32190.167.64.96 to 190.167.64.96—1
98190.167.64.97/32190.167.64.97 to 190.167.64.97—1
99190.167.64.98/32190.167.64.98 to 190.167.64.98—1
100190.167.64.99/32190.167.64.99 to 190.167.64.99—1
101190.167.64.100/32190.167.64.100 to 190.167.64.100—1
102190.167.64.101/32190.167.64.101 to 190.167.64.101—1
103190.167.64.102/32190.167.64.102 to 190.167.64.102—1
104190.167.64.103/32190.167.64.103 to 190.167.64.103—1
105190.167.64.104/32190.167.64.104 to 190.167.64.104—1
106190.167.64.105/32190.167.64.105 to 190.167.64.105—1
107190.167.64.106/32190.167.64.106 to 190.167.64.106—1
108190.167.64.107/32190.167.64.107 to 190.167.64.107—1
109190.167.64.108/32190.167.64.108 to 190.167.64.108—1
110190.167.64.109/32190.167.64.109 to 190.167.64.109—1
111190.167.64.110/32190.167.64.110 to 190.167.64.110—1
112190.167.64.111/32190.167.64.111 to 190.167.64.111—1
113190.167.64.112/32190.167.64.112 to 190.167.64.112—1
114190.167.64.113/32190.167.64.113 to 190.167.64.113—1
115190.167.64.114/32190.167.64.114 to 190.167.64.114—1
116190.167.64.115/32190.167.64.115 to 190.167.64.115—1
117190.167.64.116/32190.167.64.116 to 190.167.64.116—1
118190.167.64.117/32190.167.64.117 to 190.167.64.117—1
119190.167.64.118/32190.167.64.118 to 190.167.64.118—1
120190.167.64.119/32190.167.64.119 to 190.167.64.119—1
121190.167.64.120/32190.167.64.120 to 190.167.64.120—1
122190.167.64.121/32190.167.64.121 to 190.167.64.121—1
123190.167.64.122/32190.167.64.122 to 190.167.64.122—1
124190.167.64.123/32190.167.64.123 to 190.167.64.123—1
125190.167.64.124/32190.167.64.124 to 190.167.64.124—1
126190.167.64.125/32190.167.64.125 to 190.167.64.125—1
127190.167.64.126/32190.167.64.126 to 190.167.64.126—1
128190.167.64.127/32190.167.64.127 to 190.167.64.127—1
129190.167.64.128/32190.167.64.128 to 190.167.64.128—1
130190.167.64.129/32190.167.64.129 to 190.167.64.129—1
131190.167.64.130/32190.167.64.130 to 190.167.64.130—1
132190.167.64.131/32190.167.64.131 to 190.167.64.131—1
133190.167.64.132/32190.167.64.132 to 190.167.64.132—1
134190.167.64.133/32190.167.64.133 to 190.167.64.133—1
135190.167.64.134/32190.167.64.134 to 190.167.64.134—1
136190.167.64.135/32190.167.64.135 to 190.167.64.135—1
137190.167.64.136/32190.167.64.136 to 190.167.64.136—1
138190.167.64.137/32190.167.64.137 to 190.167.64.137—1
139190.167.64.138/32190.167.64.138 to 190.167.64.138—1
140190.167.64.139/32190.167.64.139 to 190.167.64.139—1
141190.167.64.140/32190.167.64.140 to 190.167.64.140—1
142190.167.64.141/32190.167.64.141 to 190.167.64.141—1
143190.167.64.142/32190.167.64.142 to 190.167.64.142—1
144190.167.64.143/32190.167.64.143 to 190.167.64.143—1
145190.167.64.144/32190.167.64.144 to 190.167.64.144—1
146190.167.64.145/32190.167.64.145 to 190.167.64.145—1
147190.167.64.146/32190.167.64.146 to 190.167.64.146—1
148190.167.64.147/32190.167.64.147 to 190.167.64.147—1
149190.167.64.148/32190.167.64.148 to 190.167.64.148—1
150190.167.64.149/32190.167.64.149 to 190.167.64.149—1
151190.167.64.150/32190.167.64.150 to 190.167.64.150—1
152190.167.64.151/32190.167.64.151 to 190.167.64.151—1
153190.167.64.152/32190.167.64.152 to 190.167.64.152—1
154190.167.64.153/32190.167.64.153 to 190.167.64.153—1
155190.167.64.154/32190.167.64.154 to 190.167.64.154—1
156190.167.64.155/32190.167.64.155 to 190.167.64.155—1
157190.167.64.156/32190.167.64.156 to 190.167.64.156—1
158190.167.64.157/32190.167.64.157 to 190.167.64.157—1
159190.167.64.158/32190.167.64.158 to 190.167.64.158—1
160190.167.64.159/32190.167.64.159 to 190.167.64.159—1
161190.167.64.160/32190.167.64.160 to 190.167.64.160—1
162190.167.64.161/32190.167.64.161 to 190.167.64.161—1
163190.167.64.162/32190.167.64.162 to 190.167.64.162—1
164190.167.64.163/32190.167.64.163 to 190.167.64.163—1
165190.167.64.164/32190.167.64.164 to 190.167.64.164—1
166190.167.64.165/32190.167.64.165 to 190.167.64.165—1
167190.167.64.166/32190.167.64.166 to 190.167.64.166—1
168190.167.64.167/32190.167.64.167 to 190.167.64.167—1
169190.167.64.168/32190.167.64.168 to 190.167.64.168—1
170190.167.64.169/32190.167.64.169 to 190.167.64.169—1
171190.167.64.170/32190.167.64.170 to 190.167.64.170—1
172190.167.64.171/32190.167.64.171 to 190.167.64.171—1
173190.167.64.172/32190.167.64.172 to 190.167.64.172—1
174190.167.64.173/32190.167.64.173 to 190.167.64.173—1
175190.167.64.174/32190.167.64.174 to 190.167.64.174—1
176190.167.64.175/32190.167.64.175 to 190.167.64.175—1
177190.167.64.176/32190.167.64.176 to 190.167.64.176—1
178190.167.64.177/32190.167.64.177 to 190.167.64.177—1
179190.167.64.178/32190.167.64.178 to 190.167.64.178—1
180190.167.64.179/32190.167.64.179 to 190.167.64.179—1
181190.167.64.180/32190.167.64.180 to 190.167.64.180—1
182190.167.64.181/32190.167.64.181 to 190.167.64.181—1
183190.167.64.182/32190.167.64.182 to 190.167.64.182—1
184190.167.64.183/32190.167.64.183 to 190.167.64.183—1
185190.167.64.184/32190.167.64.184 to 190.167.64.184—1
186190.167.64.185/32190.167.64.185 to 190.167.64.185—1
187190.167.64.186/32190.167.64.186 to 190.167.64.186—1
188190.167.64.187/32190.167.64.187 to 190.167.64.187—1
189190.167.64.188/32190.167.64.188 to 190.167.64.188—1
190190.167.64.189/32190.167.64.189 to 190.167.64.189—1
191190.167.64.190/32190.167.64.190 to 190.167.64.190—1
192190.167.64.191/32190.167.64.191 to 190.167.64.191—1
193190.167.64.192/32190.167.64.192 to 190.167.64.192—1
194190.167.64.193/32190.167.64.193 to 190.167.64.193—1
195190.167.64.194/32190.167.64.194 to 190.167.64.194—1
196190.167.64.195/32190.167.64.195 to 190.167.64.195—1
197190.167.64.196/32190.167.64.196 to 190.167.64.196—1
198190.167.64.197/32190.167.64.197 to 190.167.64.197—1
199190.167.64.198/32190.167.64.198 to 190.167.64.198—1
200190.167.64.199/32190.167.64.199 to 190.167.64.199—1
201190.167.64.200/32190.167.64.200 to 190.167.64.200—1
202190.167.64.201/32190.167.64.201 to 190.167.64.201—1
203190.167.64.202/32190.167.64.202 to 190.167.64.202—1
204190.167.64.203/32190.167.64.203 to 190.167.64.203—1
205190.167.64.204/32190.167.64.204 to 190.167.64.204—1
206190.167.64.205/32190.167.64.205 to 190.167.64.205—1
207190.167.64.206/32190.167.64.206 to 190.167.64.206—1
208190.167.64.207/32190.167.64.207 to 190.167.64.207—1
209190.167.64.208/32190.167.64.208 to 190.167.64.208—1
210190.167.64.209/32190.167.64.209 to 190.167.64.209—1
211190.167.64.210/32190.167.64.210 to 190.167.64.210—1
212190.167.64.211/32190.167.64.211 to 190.167.64.211—1
213190.167.64.212/32190.167.64.212 to 190.167.64.212—1
214190.167.64.213/32190.167.64.213 to 190.167.64.213—1
215190.167.64.214/32190.167.64.214 to 190.167.64.214—1
216190.167.64.215/32190.167.64.215 to 190.167.64.215—1
217190.167.64.216/32190.167.64.216 to 190.167.64.216—1
218190.167.64.217/32190.167.64.217 to 190.167.64.217—1
219190.167.64.218/32190.167.64.218 to 190.167.64.218—1
220190.167.64.219/32190.167.64.219 to 190.167.64.219—1
221190.167.64.220/32190.167.64.220 to 190.167.64.220—1
222190.167.64.221/32190.167.64.221 to 190.167.64.221—1
223190.167.64.222/32190.167.64.222 to 190.167.64.222—1
224190.167.64.223/32190.167.64.223 to 190.167.64.223—1
225190.167.64.224/32190.167.64.224 to 190.167.64.224—1
226190.167.64.225/32190.167.64.225 to 190.167.64.225—1
227190.167.64.226/32190.167.64.226 to 190.167.64.226—1
228190.167.64.227/32190.167.64.227 to 190.167.64.227—1
229190.167.64.228/32190.167.64.228 to 190.167.64.228—1
230190.167.64.229/32190.167.64.229 to 190.167.64.229—1
231190.167.64.230/32190.167.64.230 to 190.167.64.230—1
232190.167.64.231/32190.167.64.231 to 190.167.64.231—1
233190.167.64.232/32190.167.64.232 to 190.167.64.232—1
234190.167.64.233/32190.167.64.233 to 190.167.64.233—1
235190.167.64.234/32190.167.64.234 to 190.167.64.234—1
236190.167.64.235/32190.167.64.235 to 190.167.64.235—1
237190.167.64.236/32190.167.64.236 to 190.167.64.236—1
238190.167.64.237/32190.167.64.237 to 190.167.64.237—1
239190.167.64.238/32190.167.64.238 to 190.167.64.238—1
240190.167.64.239/32190.167.64.239 to 190.167.64.239—1
241190.167.64.240/32190.167.64.240 to 190.167.64.240—1
242190.167.64.241/32190.167.64.241 to 190.167.64.241—1
243190.167.64.242/32190.167.64.242 to 190.167.64.242—1
244190.167.64.243/32190.167.64.243 to 190.167.64.243—1
245190.167.64.244/32190.167.64.244 to 190.167.64.244—1
246190.167.64.245/32190.167.64.245 to 190.167.64.245—1
247190.167.64.246/32190.167.64.246 to 190.167.64.246—1
248190.167.64.247/32190.167.64.247 to 190.167.64.247—1
249190.167.64.248/32190.167.64.248 to 190.167.64.248—1
250190.167.64.249/32190.167.64.249 to 190.167.64.249—1
251190.167.64.250/32190.167.64.250 to 190.167.64.250—1
252190.167.64.251/32190.167.64.251 to 190.167.64.251—1
253190.167.64.252/32190.167.64.252 to 190.167.64.252—1
254190.167.64.253/32190.167.64.253 to 190.167.64.253—1
255190.167.64.254/32190.167.64.254 to 190.167.64.254—1
256190.167.64.255/32190.167.64.255 to 190.167.64.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses